%define upstream_name XML_FastCreate
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.4
Release:     	%mkrel 2
Summary:    	Fast creation of valid XML with DTD control
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/XML_FastCreate-%{version}.tgz
URL: 		http://pear.php.net/package/XML_FastCreate
BuildRequires:	php-pear >= 1.4.7
BuildArch: noarch

%description
- Easy way to make valid XML :
     $x->div(
         $x->h1("Example"),
         $x->p("Hello"),
         $x->p(array('class'=>'example'), "World !")
     )
     
- Option to report DTD errors in your XML :
  Use internal tool or external program [ Require XML_DTD package ]
- Use output driver of your choice :
  Text : return string
  XML_Tree : return XML_Tree object [ Require XML_Tree package ]
- Translate option to quickly transform tags by anothers :
   ex: Convert your XML to XHTML : 
          <news><title> Example </title></news>
      =>  <div class="news"><h1><span> Example </span></h1></div>
- Include a PHP program to quickly transform HTML to FastCreate syntax.
  [ Require XML_HTMLSax package ]
- See examples for more informations :
  http://lya.fr/pear/XML_FastCreate/tests/
- French Tutorial :
  http://wiki.lya.fr/doku.php?id=pear_xml_fastcreate

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/XML_FastCreate.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/XML_FastCreate.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/XML_FastCreate
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/XML_FastCreate.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 377393
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 13 2012 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 195567
- upgrade to 1.0.4
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 1.0.3-6.mga1
+ Revision: 44418
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-XML_FastCreate

